## org.biojavax.bio.phylo.io.nexus
Class DataBlock

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusBlock.Abstract
          org.biojavax.bio.phylo.io.nexus.CharactersBlock
              org.biojavax.bio.phylo.io.nexus.DataBlock

All Implemented Interfaces:
  NexusBlock, NexusObject

    public class DataBlock

extends CharactersBlock

Represents Nexus data blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlock
`NexusBlock.Abstract`

Field Summary
`static String` `DATA_BLOCK` A constant representing the name of Data blocks.

Fields inherited from class org.biojavax.bio.phylo.io.nexus.CharactersBlock
`CHARACTERS_BLOCK`

Constructor Summary
`DataBlock()` Delegates to NexusBlock.Abstract constructor using DataBlock.DATA_BLOCK as the name.

Method Summary

Methods inherited from class org.biojavax.bio.phylo.io.nexus.CharactersBlock

`addCharLabel, addCharState, addCharStateKeyword, addComment, addEquate, addItem, addMatrixEntry, addState, addStateLabel, addSymbol, addTaxLabel, appendMatrixData, containsCharLabel, containsTaxLabel, getAllCharStates, getCharLabels, getCharStateLabel, getCharStateLabelKeywords, getComments, getDataType, getDimensionsNChar, getDimensionsNTax, getEliminateEnd, getEliminateStart, getEquates, getGap, getItems, getMatchChar, getMatrixData, getMatrixLabels, getMissing, getStateLabels, getStatesFormat, getSymbols, getTaxLabels, isInterleaved, isLabels, isRespectCase, isTokens, isTransposed, removeAllItems, removeAllSymbols, removeCharLabel, removeCharState, removeComment, removeEquate, removeItem, removeState, removeSymbol, removeTaxLabel, setCharStateLabel, setDataType, setDimensionsNChar, setDimensionsNTax, setEliminateEnd, setEliminateStart, setGap, setInterleaved, setLabels, setMatchChar, setMissing, setRespectCase, setStatesFormat, setTokens, setTransposed, writeBlockContents`

Methods inherited from class org.biojavax.bio.phylo.io.nexus.NexusBlock.Abstract
`getBlockName, writeObject, writeToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_BLOCK

    public static final String DATA_BLOCK

  A constant representing the name of Data blocks.

  See Also:
    Constant Field Values

Constructor Detail

### DataBlock

    public DataBlock()

  Delegates to NexusBlock.Abstract constructor using DataBlock.DATA_BLOCK as the name.